Subject: Re: Funny: git -p submodule summary

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Jan 2009 01:30:23 -0800

Jeff King <[email-masked]> writes:

> So the _real_ problem is that we are not always triggering the "wait for
> pager to finish" code because we exec and forget about it. Which means
> this strategy of "git runs child pager" will never work properly.
> Instead, we have to use three processes: git and the pager become child
> processes, while the original process waits for both to exit and returns
> the proper exit code from git.
>
> Let me try to work up a patch.

This arrangement to have the third process could even open the possibility
of having it read from git and write to pager, and not launching the pager
if there is no interesting data from git to feed it with.

I do not know if I like the performance implications associated with it,
though.